div.row.pt-2
  div.col-12.col-lg-3
    div.row.pb-2
      div.col-12
        div.row
          div.col-12
            h6
              i.fas.fa-sliders-h.mr-2
              span Estatus
        div.row
          div.col-12
            div(*ngFor="let tEst of tEstatus; let jv = index",
                [ColorFondo]="tEst.Hexadecimal",
                (click)="Seleccionar_Estatus(tEst.Codestatus)").Contenedor.mb-2
              h6([ColorLetras]="tEst.Hexadecimal").text-xs.ml-2.mt-2
                span.fas.fa-check.mr-2.d-none
                | {{ tEst.Codestatus }}
    div.row
      div.col-12
        div.row
          div.col-12
            h6
              i.fas.fa-tasks.mr-2
              span Tipos
        div.row
          div.col-12
            div(*ngFor="let tTipo of tTipos; let jv = index",
                [ColorFondo]="tTipo.Hexadecimal",
                (click)="Seleccionar_Tipo(tTipo.Codtipo)").Contenedor.mb-2
              h6([ColorLetras]="tTipo.Hexadecimal").text-xs.ml-2.mt-2
                span.fas.fa-check.mr-2.d-none
                | {{ tTipo.Codtipo }}
  div.col-12.col-lg-6
    ng-container(*ngFor="let tTicket of LTickets | filtrarTickets: tEstatusSel : tTiposSel | slice: (tPaginaTicket-1) * tTamanoPagTicket : (tPaginaTicket-1) * tTamanoPagTicket + tTamanoPagTicket; let jv = index")
      div((click)="Abrir_Ticket(tTicket)").card.shadow-sm.mb-2.Ticket
        div.card-body
          div.row.mb-2
            div.col-2.d-none.d-lg-block
              img([Gravatar]="tTicket.Email", alt="Usario").img-thumbnail.rounded-circle
            div.col-12.col-lg-10
              div.row
                div.col-12.col-lg-8
                  h6.text-dark.font-weight-bold.text-xs [{{ tTicket.Codticket }}] - {{ tTicket.Titulo }}
                div.col-12.col-lg-4.text-right
                  h6.text-black-50.font-italic.text-xs {{ tTicket.Fecha_creacion | diferenciaFechas }}
              div.row
                div.col-12
                  h6.font-italic.text-xs [{{ tTicket.Codcliente }}] - {{ tTicket.Nombre_Cliente }}
          div.row
            div.col-12.d-flex.justify-content-between.align-items-center
              h6.text-xs
                span.fas.fa-inbox.mr-2.text-primary
                span {{ tTicket.TotalMensajes }}
              h6([ColorFondo]="tTicket.Tipo_Hexadecimal", [ColorLetras]="tTicket.Tipo_Hexadecimal").text-xs.badge.badge-pill
                span {{ tTicket.Tipo }}
              h6([ColorFondo]="tTicket.Estatus_Hexadecimal", [ColorLetras]="tTicket.Estatus_Hexadecimal").text-xs.badge.badge-pill
                span {{ tTicket.Estatus }}
div.row
  div.col-12
    ngb-pagination([collectionSize]="LTickets.length",
        [(page)]="tPaginaTicket",
        aria-label="Default pagination",
        [pageSize]="tTamanoPagTicket",
        size="sm").d-flex.justify-content-end
